Page MenuHomePhabricator

[Epic] Adyen form for French (France), Japanese (Japan), Ukrainian (Ukraine), & Hebrew (Israel)
Closed, ResolvedPublic

Description

We want to test Adyen in France to see if our conversions are good and we can use them to process there (woo!).

Ukrainian and Hebrew are needed for the campaigns, since right now we don't have a good option for these languages and fallback languages are obviously not ideal.

Both dates are somewhat flexible, but we would want to be in touch with the campaigns team early, so let's target these dates for now.
Israel: May 17 - we should have translations from the worldpay forms
Ukraine: May/June - do we need to get translations?

Japan is having some trouble through Ingenico, so let's try it through Adyen. That campaign is currently set for July, but can be flexible.

the the purposes of the Q4 1516 FY this is the priority of the countries (if that helps someone's workflow):
P1: Israel
P2: Ukraine
P3: Japan
P4: France

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterSkip ffname logic for Mustache-rendered forms
mediawiki/extensions/DonationInterface : masterDon't rely on uselang for Adyen
mediawiki/extensions/DonationInterface : masterCarte Bleu for Adyen
mediawiki/extensions/DonationInterface : masterAdyen form for Israel

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
atgo renamed this task from Adyen form for French (France), Ukrainian (Ukraine), & Hebrew (Israel) to Adyen form for French (France), Japanese (Japan), Ukrainian (Ukraine), & Hebrew (Israel).Mar 4 2016, 9:59 PM
atgo updated the task description. (Show Details)
Restricted Application added a subscriber: Base. · View Herald TranscriptMar 4 2016, 9:59 PM
DStrine set the point value for this task to 2.Mar 8 2016, 8:39 PM
DStrine updated the task description. (Show Details)Apr 13 2016, 7:59 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:46 PM
XenoRyet claimed this task.Apr 19 2016, 8:46 PM

@DStrine Here's that screenshot of the Adyen iframe in Hebrew.

Thanks @XenoRyet

@Amire80 we were wondering if we could get your feedback on this. Our Hebrew payment form is still left aligned. Is is common to see translated forms left aligned?

We are investigating right alignment. We may have to employ some tricks. It might prove difficult. We're wondering how this current version might look to Hebrew readers.

Hi,

The Hebrew text is correctly translated. It's mostly readable, but the part in green has wrong direction and thus—broken punctuation.

Also, the alignment is wrong, and it would be very nice to fix it.

Setting the whole <div> as dir="rtl" should fix most issues, but I'd still love to test it on an actual website.

Thank you for working on this tech team, and thanks Amir for reviewing. I agree that the alignment would be great if we can fix. Getting the RTL alignment right was one of the reasons we wanted to use Adyen for this campaigns.

Thanks all!

Getting the proper RTL alignment looks possible, but will take some extra work. I think we'll try for an internal test first, just to prove out that the form is working correctly, then shoot for the RTL fix after that.

Change 286949 had a related patch set uploaded (by XenoRyet):
Adyen form for Israel

https://gerrit.wikimedia.org/r/286949

Change 286949 merged by jenkins-bot:
Adyen form for Israel

https://gerrit.wikimedia.org/r/286949

XenoRyet removed XenoRyet as the assignee of this task.May 13 2016, 12:29 AM
XenoRyet added a subscriber: XenoRyet.

Change 288631 had a related patch set uploaded (by XenoRyet):
Carte Bleu for Adyen

https://gerrit.wikimedia.org/r/288631

Change 288631 merged by jenkins-bot:
Carte Bleu for Adyen

https://gerrit.wikimedia.org/r/288631

@Ejegg It looks like all the blocking tasks (except T124467) are pending deployment, and patches linked to this and blocking bugs are merged. Shall I move this task to PD as well?

awight renamed this task from Adyen form for French (France), Japanese (Japan), Ukrainian (Ukraine), & Hebrew (Israel) to [Epic] Adyen form for French (France), Japanese (Japan), Ukrainian (Ukraine), & Hebrew (Israel).May 23 2016, 10:04 PM
awight added a project: Epic.
awight removed the point value for this task.

Hi @DStrine and fr-tech team,

Thank you for your help moving this work forward. Regarding the Adyen form for Ukraine, will it also work in Russian?

Thanks!

Ejegg added a comment.May 24 2016, 4:25 PM

@jrobell any form should work in Russian when the language parameter is ru. There's a patch in review to ensure we don't show any Russian messages when the main language is Ukrainian, but we'll still show Russian if that's the intended main language.

@Ejegg That's great. Thanks for clarifying that!

ahh great! Thanks @Ejegg !

Hi all,

A couple of local testers in Ukraine tried to make payments today using VISA and Mastercards to test the Adyen form, but unfortunately the donations didn't go through.

Attached is a screenshot of the error message. Are you able to track these test donations to find out what the issue might be?

Thank you!

Change 291961 had a related patch set uploaded (by Ejegg):
Don't rely on uselang for Adyen

https://gerrit.wikimedia.org/r/291961

Change 291961 merged by jenkins-bot:
Don't rely on uselang for Adyen

https://gerrit.wikimedia.org/r/291961

Ejegg added a comment.May 31 2016, 6:31 PM

One other change you might want to make - ffname should be 'adyen' in all cases, not 'cc' or 'cc-vjma' or anything. The new form figures out what cards to show based on country

Change 291975 had a related patch set uploaded (by Ejegg):
Skip ffname logic for Mustache-rendered forms

https://gerrit.wikimedia.org/r/291975

Change 291975 merged by jenkins-bot:
Skip ffname logic for Mustache-rendered forms

https://gerrit.wikimedia.org/r/291975

awight closed this task as Resolved.Jul 7 2016, 1:19 AM
awight claimed this task.
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM